package com.guadou.lib_baselib.font_text_view;

import android.content.Context;
import android.graphics.Typeface;
import android.util.AttributeSet;
import android.widget.TextView;

import androidx.annotation.Nullable;

/**
 * 加粗斜体
 */

public class TextViewSBoldIt extends TextView {

    public TextViewSBoldIt(Context context) {
        super(context);
        applyCustomFont(context);
    }

    public TextViewSBoldIt(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        applyCustomFont(context);
    }

    public TextViewSBoldIt(Context context, @Nullable AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        applyCustomFont(context);
    }

    private void applyCustomFont(Context context) {
        Typeface customFont = FontCache.getTypeface("MyriadPro-SemiboldIt.ttf", context);
        setTypeface(customFont);
    }
}
